package org.jeecg.modules.bytedance.advertise.entity;

import java.io.Serializable;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import org.jeecgframework.poi.excel.annotation.Excel;


/**
 * 自动创建计划日志
 * @author jeecg-boot
 * @date   2021-07-05
 * @version V1.0
 */
@Data
@TableName("ctop_ai_bytedance_autocreate_log")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="ctop_ai_bytedance_autocreate_log对象", description="自动创建计划日志")
public class AiBytedanceAutocreateLog {

	/**主键id*/
	@TableId(type = IdType.AUTO)
	@ApiModelProperty(value = "主键id")
	private Integer id;
	/**账户id*/
	@Excel(name = "账户id", width = 15)
	@ApiModelProperty(value = "账户id")
	private Long accountId;
	/**类型*/
	@Excel(name = "类型", width = 15)
	@ApiModelProperty(value = "类型")
	private String execType;
	/**代码*/
	@Excel(name = "代码", width = 15)
	@ApiModelProperty(value = "代码")
	private Integer code;
	/**返回消息*/
	@Excel(name = "返回消息", width = 15)
	@ApiModelProperty(value = "返回消息")
	private String message;
	/**创建调用接口的参数*/
	@Excel(name = "创建调用接口的参数", width = 15)
	@ApiModelProperty(value = "创建调用接口的参数")
	private String createParam;
	/**创建时间*/
	@ApiModelProperty(value = "创建时间")
	private Date createTime;

	public AiBytedanceAutocreateLog(){}

	public AiBytedanceAutocreateLog(Long accountId, String execType, Integer code, String message, String createParam){
		this.accountId = accountId;
		this.execType = execType;
		this.code = code;
		this.message = message;
		this.createParam = createParam;
	}
}
